Document Directory

Glossary API

Delete glossary

POST/v1/glossary/delete

Delete a glossary by ID.

Complete Address
https://deploy-demo.otranslator.com/api/v1/glossary/delete
Authentication
API Key needs to be passed in the Authorization request header
Content-Type
application/json
Error Format
{ "error": "Invalid API key." }

Notes

The deletion only affects the glossary under the current API account.

Example

1curl -X POST 'https://deploy-demo.otranslator.com/api/v1/glossary/delete' \
2--header 'Authorization: [yourSecretKey]' \
3--header 'Content-Type: application/json' \
4--data '{
5  "glossaryId": "[string]"
6}'

Request Parameters

ParametersTypeDefaultDescriptionExample
Required: glossaryIdString-

Glossary ID

-

Response

ParametersTypeDefaultDescriptionExample
successBoolean-

Deletion successful

-

Common Errors

401 Missing API key.

The Authorization request header is required.

401 Invalid API key.

The API key does not exist, has been deleted, or is no longer valid.

Glossary API
Update glossary